# Uses of Class
org.eclipse.gef.EditDomain

Packages that use EditDomain
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.tools
This package provides several tool implementations.
org.eclipse.gef.ui.palette
org.eclipse.gef.ui.parts

## Uses of EditDomain in org.eclipse.gef

Subclasses of EditDomain in org.eclipse.gef
Modifier and Type
Class
Description
`class`
`DefaultEditDomain`
A default implementation of `EditDomain`.
Methods in org.eclipse.gef that return EditDomain
Modifier and Type
Method
Description
`EditDomain`
EditPartViewer.`getEditDomain()`
Returns the `EditDomain` to which this viewer belongs.
Methods in org.eclipse.gef with parameters of type EditDomain
Modifier and Type
Method
Description
`void`
EditPartViewer.`setEditDomain(EditDomain domain)`
Sets the `EditDomain` for this viewer.
`void`
Tool.`setEditDomain(EditDomain domain)`
Called to set the EditDomain for this Tool.

## Uses of EditDomain in org.eclipse.gef.tools

Methods in org.eclipse.gef.tools that return EditDomain
Modifier and Type
Method
Description
`protected EditDomain`
AbstractTool.`getDomain()`
Returns the EditDomain.
Methods in org.eclipse.gef.tools with parameters of type EditDomain
Modifier and Type
Method
Description
`void`
AbstractTool.`setEditDomain(EditDomain domain)`
Sets the EditDomain.

## Uses of EditDomain in org.eclipse.gef.ui.palette

Methods in org.eclipse.gef.ui.palette that return EditDomain
Modifier and Type
Method
Description
`final EditDomain`
PaletteViewerProvider.`getEditDomain()`
Constructors in org.eclipse.gef.ui.palette with parameters of type EditDomain
Modifier
Constructor
Description
``
`PaletteViewerProvider(EditDomain graphicalViewerDomain)`
Constructor

## Uses of EditDomain in org.eclipse.gef.ui.parts

Fields in org.eclipse.gef.ui.parts declared as EditDomain
Modifier and Type
Field
Description
`protected EditDomain`
DomainEventDispatcher.`domain`
The edit domain
Methods in org.eclipse.gef.ui.parts that return EditDomain
Modifier and Type
Method
Description
`EditDomain`
AbstractEditPartViewer.`getEditDomain()`
Methods in org.eclipse.gef.ui.parts with parameters of type EditDomain
Modifier and Type
Method
Description
`void`
AbstractEditPartViewer.`setEditDomain(EditDomain editdomain)`
`void`
GraphicalViewerImpl.`setEditDomain(EditDomain domain)`
Constructors in org.eclipse.gef.ui.parts with parameters of type EditDomain
Modifier
Constructor
Description
``
`DomainEventDispatcher(EditDomain d, EditPartViewer v)`
Constructs the dispatcher for the given domain and viewer.